<?php ob_start(); // este script lo usa la caja
session_set_cookie_params(0);
session_start();

if(isset($_SESSION['inicio'])){
	$horaInicio = new DateTime($_SESSION['inicio']);
	$timer1=date("Y-m-d H:i:s");
	$horaTermino = new DateTime($timer1);
	$interval = $horaInicio->diff($horaTermino);
	//echo $timer1."<br>";
	if($interval->format('%h') >= '1') {
			session_destroy();
			$deslog = 1;
	}
}

require_once('../../Connections/odonto_connection1.php');
	
	$codigo=$_GET['codigo'];
	$externo=$_GET['externo'];

$query_rs_todos = "SELECT mesa,hash,negocio FROM mesas WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);

$mesa=$row_rs_ingreso0['mesa'];
$hash=$row_rs_ingreso0['hash'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];

if($mesa && !$deslog){	

	$timer=date("Y-m-d H:i:s");
	$_SESSION['inicio'] = $timer;
	$_SESSION['codigo'] = $codigo;
	$_SESSION['hash'] = $hash;

	$q = "UPDATE mesas SET logeado = 1 WHERE codigo LIKE '$codigo'";
	$rs= mysqli_query($odonto_connection,$q) or die("Error en $q");
	
	if($externo == 1) {
		header("Location:" . "index0.php");
	}
	else {
		
		$_SESSION['id_delivery'] = 0;
		if(isset($_COOKIE['dni_cliente']))
		  {
			// Caduca en un año 
			$dni = $_COOKIE['dni_cliente'];
			$q = "SELECT hora,nombre,apellido,celular,email FROM clientes WHERE dni LIKE '$dni' ORDER BY id_pac DESC LIMIT 1";
			$rs = mysqli_query($odonto_connection,$q) or die(mysqli_error());
			$row = mysqli_fetch_assoc($rs);
			
			$nombre=$row['nombre'];
			$apellido=$row['apellido'];
			$celular=$row['celular'];
			$email=$row['email'];
			$hora_registro=$row['hora'];
			
			$nombre = stripAccents($nombre);
			$apellido = stripAccents($apellido);
			$celular = stripAccents($celular);
			$email = stripAccents($email);
			$dni = stripAccents($dni);
			if($nombre){
				
				$date=date();
				$ahora=date_create($date);
				$ahora->modify('-3 hours');
				$hora_registro=date_create($hora_registro);
				$interval=date_diff($hora_registro,$ahora);	
				$ok_insertar = 0;
				if($interval->format('%i') >= 1 || $interval->format('%y') > 0 || $interval->format('%m') > 0 || $interval->format('%d') > 0 || $interval->format('%h') > 0) {
					$ok_insertar = 1;
				}
				if($ok_insertar){
					$q = "INSERT INTO clientes (id_pac,hora,nombre,apellido,dni,celular,email,cant,negocio,sucursal,mesa) VALUES (NULL,CURRENT_TIMESTAMP,'$nombre','$apellido','$dni','$celular','$email',NULL,'$negocio','$sucursal',$mesa);";
					$rs = mysqli_query($odonto_connection, $q) or die(mysqli_error());
					setcookie('dni_cliente', $_COOKIE['dni_cliente'] , time() + 365 * 24 * 60 * 60); 
				}		
				header("Location:" . "index0.php");
				}
				else header("Location:" . "index_formulario.php");
		  }
		  else
		  { 
			header("Location:" . "index_formulario.php");
		  } 
	}
}
else {
	session_destroy();
	header("Location:" . "http://ponderzone.com?vuelvealoguear=1");
	}

function stripAccents($s){
	$acc =	'É	Ê	Ë	š	Ì	Í	ƒ	œ	µ	Î	Ï	ž	Ð	Ÿ	Ñ	Ò	Ó	Ô	Š	£	Õ	Ö	Œ	¥	Ø	Ž	§	À	Ù	Á	Ú	Â	Û	Ã	Ü	Ä	Ý	';
	$str =	'E	E	E	s	I	I	f	o	m	I	I	z	D	Y	N	O	O	O	S	L	O	O	O	Y	O	Z	S	A	U	A	U	A	U	A	U	A	Y	';
	$acc.=	'Å	Æ	ß	Ç	à	È	á	â	û	Ÿ	ã	ü	Š	ä	ý	š	å	þ	?	æ	ÿ	';
	$str.=	'A	A	S	C	a	E	a	a	u	Y	a	u	S	a	y	s	a	p	-	a	y	';
	$acc.=	'ç	Ž	è	E	ž	é	ê	ë	';
	$str.=	'c	Z	e	E	z	e	e	e	';
	$acc.=	'ì	í	î	Œ	ï	œ	ð	ñ	';
	$str.=	'i	i	i	O	i	o	o	n	';
	$acc.=	'ò	ó	ô	?	õ	ö	Ð	ø	';
	$str.=	'o	o	o	-	o	o	D	o	';
	$acc.=	'ù	ú	:	;	.	,';
	$str.=	'u	u	-	-	.	 ';
	// Se reemplazan acentos y erróneos por sus "equivalentes"
	$string_con_reemplazos = str_replace(explode("\t", $acc), explode("\t", $str), $s);
	
	$val_chars=array(); // array que sólo contendrá caracteres válidos
	$strlen=strlen($string_con_reemplazos); // Largo del string
	$k=0;
	for( $i = 0; $i <= $strlen; $i++ ) {
		$char = substr( $string_con_reemplazos, $i, 1 ); // me quedo con el caracter en particular
		$ord=ord($char);			 // devuelve el código ASCII
		if($ord>=32 && $ord <=125){  // asci imprimible, aceptado para SMS
			if($char!='\'') // éste me impide los inserts !
				$val_chars[$k++]=$char;  // lo agrego al array de caracteres válidos para transmitir
		}
	}
	$out=implode('',$val_chars); // convierto de array a string nuevamente
	return $out;
}
?>
<?php ob_end_flush();?>